Bug 562962 - Cannot unlock inhibited screensaver after resume
Cannot unlock inhibited screensaver after resume
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-08 15:47 EST by Jan "Yenya" Kasprzak
Modified: 2015-01-14 18:24 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 18:06:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan "Yenya" Kasprzak 2010-02-08 15:47:42 EST
Description of problem:
With the inhibited screensaver (gnome-screensaver-command -i) when I suspend/resume the laptop, the screen is locked, but I am unable to enter the password, because the password prompt does not have a focus. After switching to the text console (Ctrl-Alt-F2), logging in as root, and killing the gnome-screensaver-command -i process, I can unlock the screen as expected.

Version-Release number of selected component (if applicable):
gnome-screensaver-2.28.0-8.fc12.x86_64

How reproducible:
100 %

Steps to Reproduce:
1. Configure the gnome-screensaver to lock the screen after the suspend/resume cycle (this should be the default, IIRC).
2. Run gnome-screensaver-command -i (e.g. inside the gnome-terminal).
3. Suspend and resume the computer.
4. Try to unlock the screen with your password.
  
Actual results:
The screen is locked, but the password prompt does not accept the keyboard input.

Expected results:
Either the screen should not be locked, or it should accept the keyboard input.

Additional info:
Killing the "gnome-screensaver-command -i" process from the remote session or from the text console fixes the problem.
Comment 1 Bug Zapper 2010-11-03 18:40:28 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-12-03 18:06:23 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.